packages:
  core:
    description: "MARTe2 Core Package"
    namespace: ""
    url: "https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2"
    datasources:
      GAMDataSource:
        brief: "DataSource implementation for the exchange of signals between GAM components."
        prameters:
          HeapName: 
            type: "string"
            comment: "GetStandardHeap() if not defined"
            default: ""
          AllowNoProducer:
            type: "bool" 
            mandatory: false
            default: 0
          ResetUnusedVariableAtStateChange:
            type: "bool"
            mandatory: false
            default: 1
        Signals:
          mode: "any"
  components:
    description: "MARTe2 Components"
    url: "https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2-components"
    namespace: ""
